"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Index;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var WebBrowser = _interopRequireWildcard(require("expo-web-browser"));

var GoogleSingIn = _interopRequireWildcard(require("expo-auth-session/providers/google"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

WebBrowser.maybeCompleteAuthSession();

function Index(props) {
  // GOOGLE
  const [googleRequest, googleResponse, googlePromptAsync] = GoogleSingIn.useAuthRequest({
    expoClientId: '823806881706-a579uqv1s6va2k1v8hhg0b7fu5rg3k51.apps.googleusercontent.com'
  });
  const [modalVisible, setModalVisible] = (0, _react.useState)(false);
  (0, _react.useEffect)(() => {
    if ((googleResponse === null || googleResponse === void 0 ? void 0 : googleResponse.type) === 'success') {
      console.log('oauth completed successfully');
      console.log(googleResponse);
    }
  }, [googleResponse]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
    animationType: "slide",
    transparent: true,
    visible: modalVisible,
    onRequestClose: () => {
      _reactNative.Alert.alert('Modal has been closed.');

      setModalVisible(!modalVisible);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.modalView
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => setModalVisible(!modalVisible)
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.exit
  }, "x")), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.modalText
  }, "Piblic:", props.publicKey), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.modalText
  }, "clientSecret:", props.clientSecret), /*#__PURE__*/_react.default.createElement(_reactNative.Button, {
    disabled: !googleRequest,
    title: "Signin with google",
    onPress: () => {
      googlePromptAsync();
    }
  })))), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    style: styles.button,
    onPress: () => setModalVisible(true)
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.text
  }, "Checkout with xx")));
}

const styles = _reactNative.StyleSheet.create({
  button: {
    alignItems: 'center',
    justifyContent: 'center',
    paddingVertical: 12,
    paddingHorizontal: 82,
    margin: 40,
    borderRadius: 5,
    backgroundColor: '#0180FD'
  },
  text: {
    fontSize: 16,
    lineHeight: 21,
    letterSpacing: 0.25,
    color: 'white'
  },
  modalView: {
    height: '100%',
    backgroundColor: 'white',
    padding: 32,
    shadowColor: '#000'
  },
  exit: {
    color: 'grey',
    fontSize: 31,
    textAlign: 'right'
  },
  modalText: {
    marginBottom: 15,
    textAlign: 'center'
  }
});
//# sourceMappingURL=index.js.map